# $Revision: 1.6 $, $Date: 2010/07/08 08:33:41 $

%define		module pyorbited

Summary:	A Python client for the orbited (Orbit Event Daemon)
Summary(pl.UTF-8):	Pythonowy klient demona zdarzeń orbited (Orbit Event Daemon)
Name:		python-%{module}
Version:	0.1.1
Release:	3
License:	MIT
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/p/pyorbited/%{module}-%{version}.zip
# Source0-md5:	50779977e358601a7a19719fc9ace3a5
Patch0:		%{name}-orbited03.patch
URL:		http://brbx.com/orbited/index.html
BuildRequires:	libevent-devel
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%pyrequires_eq	python-libs
Suggests:	orbited
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Python client for the orbited (Orbit Event Daemon), a COMET server.
Includes three implementations: pyevent, twisted, basic sockets.

%description -l pl.UTF-8
Pythonowy klient demona zdarzeń orbited (Orbit Event Daemon), serwera
COMET. Zawiera trzy implementacje: pyevent, twisted i opartą na
zwykłych gniazdach.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%{__python} setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/pyorbited
%{py_sitescriptdir}/pyorbited-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyorbited.spec,v $
Revision 1.6  2010/07/08 08:33:41  arekm
- release 3

Revision 1.5  2010/05/16 14:14:31  sparky
- BR: unzip

Revision 1.4  2008/10/07 19:45:48  patrys
- rel 2

Revision 1.3  2008-05-07 18:29:25  qboosh
- pl

Revision 1.2  2008-01-30 21:09:01  patrys
- add protocol patch for current orbited
- don't require orbited (could be used remotely)

Revision 1.1  2008-01-28 17:53:58  patrys
- initial PLD release
